
<div class="form-row">
  <div class="form-group col-4 d-none d-lg-block"><img class="ImagenPrincipal" [src]="tArticulo.Url" *ngIf="tArticulo.Url !== ''" alt=""/></div>
  <div class="form-group col-12 col-lg-7">
    <div class="row">
      <div class="col-12">
        <h6 class="text-xs" *ngIf="tArticulo.Codarticulo !== ''">[ {{ tArticulo.Codarticulo }} ] - {{ tArticulo.Descripcion }}</h6>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <h6 class="text-xs"><span class="text-primary font-weight-bold">Color:</span><span *ngIf="tArticulo.Codcolor !== ''">[ {{ tArticulo.Codcolor }} ] - {{ tArticulo.Desc_color }}</span></h6>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <h6 class="text-xs"><span class="text-primary font-weight-bold">Unidad:</span><span *ngIf="tArticulo.Codunidadmedida !== ''">[ {{ tArticulo.Codunidadmedida }} ] - {{ tArticulo.Desc_unidad_medida }}</span></h6>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <h6 class="text-xs"><span class="text-primary font-weight-bold">Factor de venta:</span><span *ngIf="tArticulo.Factor_venta &gt; 0">{{ tArticulo.Factor_venta }}</span></h6>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-1">
    <button class="btn btn-sm btn-outline-info" type="button" (click)="AbrirModal()"><i class="fas fa-list"></i></button>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <div class="table-responsive">
      <table class="table table-sm">
        <thead>
          <tr>
            <th scope="col">
              <h6 class="text-center"><small class="font-weight-bold">Talla</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-center"><small class="font-weight-bold">Cantidad</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-center"><small class="font-weight-bold"></small></h6>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let Inventario of tInventario | filtrarInventario:tInventario:tColeccion.LArticulos | slice: (tPaginaInv-1) * tTamanoPagInv : (tPaginaInv-1) * tTamanoPagInv + tTamanoPagInv ; let jv = index">
            <td>
              <h6 class="text-xs">{{ ObtenerTalla(Inventario) }}</h6>
            </td>
            <td>
              <input class="form-control form-control-sm" #txtCantidad="" type="number" SoloNumeros="number" min="0" (keydown.enter)="AgregarArticuloColeccion(txtCantidad, Inventario)"/>
            </td>
            <td>
              <button class="btn btn-sm btn-outline-success" type="button" (click)="AgregarArticuloColeccion(txtCantidad, Inventario)"><i class="fas fa-check"></i></button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ngb-pagination class="d-flex justify-content-end" aria-label="Default pagination" [collectionSize]="tArticuloInvActual.length" [(page)]="tPaginaInv" [pageSize]="tTamanoPagInv" size="sm"></ngb-pagination>
  </div>
</div>